Subject: Multi-platform, and secure-only ARM errata workarounds

From: [email-masked] (Stephen Warren)
Date: Wed, 06 Mar 2013 09:18:26 -0700

On 03/06/2013 01:14 AM, Peter De Schrijver wrote:
...
> I was under the
> impression there is no way to know if you're running in secure mode
> or non-secure mode.

There's no ARM-architected way. Given Tegra's implementation, there are
apparently some registers that behave differently that we can use (e.g.
read value values in secure mode, 0xffffffff in non-secure etc.)